Subject: Please do not give an error in help when it fails

From: Lennart Borgman <[email-masked]>
Date: Wed, 12 Jan 2011 02:40:14 +0100

I just got this error when clicking the [back] button in help:

 Debugger entered--Lisp error: (error "Selecting deleted buffer")
  describe-mode(#<killed buffer>)
  apply(describe-mode #<killed buffer>)
  help-xref-go-back(#<buffer *Help*>)
  apply(help-xref-go-back #<buffer *Help*>)
  help-do-xref(214 help-xref-go-back (#<buffer *Help*>))
  help-button-action(#<marker (moves after insertion) at 1 in *Help*>)
  push-button(214)
  call-interactively(push-button nil nil)

That is very unpractical since it prevents from going further back in
the help stack. (Currently I am trying to find my test case which was
some help text 611 chars long, but I do not remember what it was.)

Just put the backtrace in the help buffer instead with a short explanation.